#!/usr/bin/perl
require ip_mtbdd;

sub load_countries {
    my $filename = $_[0];
    my $file; 
    my @codes;
    open $file, $filename;
    while(<$file>) {
	if (/([A-Z]+):\s+([0-9]+)/) {
	    $codes[$2]=$1;
	}
    }
    close $file;
    return @codes;
}

$bdd = ip_mtbdd::mtbdd_read("../internet.ipmap");
@codes = load_countries("../countries.dat");

#$addr = (129<<24) + (199<<16) + (129<<8) + 1;
$addr = (155<<24) + (198<<16) + (5<<8) + 83;
print "$addr\n";
print $codes[ip_mtbdd::mtbdd_find($bdd, $addr, 32)], "\n";
